/onetrust-assessments | Type: Application | PCID required: Yes
Tools
onetrust_assessments_add_manual_assessment_links_using_post
Link Assessments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fromId | string | Yes | — | The unique ID of the source assessment to create the link from |
toIds | string[] | Yes | — | To Ids |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fromId": {
"type": "string",
"description": "The unique ID of the source assessment to create the link from"
},
"toIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "To Ids"
}
},
"required": [
"PCID",
"fromId",
"toIds"
]
}
onetrust_assessments_add_or_update_tags_using_put
Update Assessment Tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to update tags for |
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to update tags for"
},
"body": {
"type": "array",
"items": {
"type": "string"
},
"description": "Request body"
}
},
"required": [
"PCID",
"assessmentId",
"body"
]
}
onetrust_assessments_archive_assessments_using_put
Archive Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
onetrust_assessments_create_assessment_using_post
Launch Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
approverId | string | No | — | Approver identifier of the assessment (deprecated, use approvers list instead) |
approverName | string | No | — | Approver name of the assessment (deprecated, use approvers list instead) |
approverOnlySectionRespondents | object[] | No | — | List of respondents for approver-only sections |
approvers | object[] | No | — | List of approvers for the assessment |
attachmentRequests | object[] | No | — | List of assessment attachment request |
checkForInFlightAssessments | boolean | No | — | Whether to check if any in-flight (status < COMPLETED) assessments exist with the same templateRootVersionId |
controlImplementationDetails | object[] | No | — | Populated when Control Implementations are selected as Primary for Assessment |
creationSource | string | No | — | Source of assessment creation |
deadline | string | No | — | Deadline to complete the assessment (format: YYYY-MM-DDTHH:MM:SS.FFFZ) |
defaultTemplateDeadlineReminder | boolean | No | — | Default Template Deadline Reminder |
description | string | No | — | Description of the assessment |
duplicateNotAllowed | boolean | No | — | Duplicate Not Allowed |
engagementLink | object | No | — | Engagement Link |
entityLabels | object[] | No | — | List of entity attribute labels for the assessment |
incidentDetails | object | No | — | Incident Details |
inventoryDetails | object | No | — | Inventory Details |
labels | string[] | No | — | List of labels to attach to the assessment |
name | string | Yes | — | Name of the assessment |
orgGroupId | string | No | — | Organization group identifier to which the assessment should belong |
orgGroupName | string | No | — | Organization group name to which the assessment should belong |
primaryEntityDetails | object[] | No | — | Populated when Business Object needs to be selected as Primary for Assessment (except Inventory, Incident, Control Implementations and Engagements) |
primaryRecordTypeReference | string | No | — | Type of primary record when primaryEntityDetails are populated |
reminder | integer | No | — | Number of days before the deadline when the reminder should be sent to the respondent |
reminderSchedules | object[] | No | — | Reminder Schedules |
respondentCreationType | string | No | — | Type of user creation for respondents |
respondents | object[] | Yes | — | List of respondents. A minimum of one respondent must be assigned to the assessment |
ruleId | string | No | — | Identifier of the rule that triggered this assessment creation |
tags | string[] | No | — | List of tag identifiers to attach to the assessment during creation |
templateId | string | No | — | Template identifier for which the assessment has to be created (mandatory if templateRootVersionId is not provided) |
templateRootVersionId | string | No | — | Template root version identifier for which the assessment has to be created |
triggeredByAssessmentId | string | No | — | Identifier of the assessment that triggered this assessment creation |
triggeredByAssessmentName | string | No | — | Name of the assessment that triggered this assessment creation |
userAssignmentMode | string | No | — | Mode of user assignment for the assessment |
workflowId | string | No | — | Workflow identifier for which the assessment is associated with |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"approverId": {
"type": "string",
"description": "Approver identifier of the assessment (deprecated, use approvers list instead)"
},
"approverName": {
"type": "string",
"description": "Approver name of the assessment (deprecated, use approvers list instead)"
},
"approverOnlySectionRespondents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"respondentId": {
"type": "string",
"format": "uuid",
"description": "Id of the respondent for approver only sections"
},
"respondentName": {
"type": "string",
"description": "Name of the respondent for approver only sections"
}
}
},
"description": "List of respondents for approver-only sections"
},
"approvers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"approverId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the approver"
},
"approverName": {
"type": "string",
"description": "Display name of the approver"
},
"comment": {
"type": "string",
"description": "Optional comment for the approver assignment"
},
"workflowStageIds": {
"type": "array",
"description": "Workflow Stage Ids"
}
},
"required": [
"approverId"
]
},
"description": "List of approvers for the assessment"
},
"attachmentRequests": {
"type": "array",
"items": {
"type": "object",
"properties": {
"attachmentId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the attachment"
},
"fileName": {
"type": "string",
"description": "Name of the file being attached to the assessment"
},
"fileDescription": {
"type": "string",
"description": "Optional description of the attached file and its relevance to the assessment"
}
},
"required": [
"attachmentId",
"fileName"
]
},
"description": "List of assessment attachment request"
},
"checkForInFlightAssessments": {
"type": "boolean",
"description": "Whether to check if any in-flight (status < COMPLETED) assessments exist with the same templateRootVersionId"
},
"controlImplementationDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"controlImplementationId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the control implementation"
},
"controlImplementationName": {
"type": "string",
"description": "Name of the control implementation"
},
"controlImplementationNumber": {
"type": "integer",
"format": "int64",
"description": "External number of the control implementation"
},
"sourceId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the source entity associated with the control implementation"
},
"sourceName": {
"type": "string",
"description": "Name of the source entity associated with the control implementation"
},
"sourceType": {
"type": "string",
"enum": [
"APPLICATION",
"SYSTEM",
"DATABASE",
"NETWORK",
"INFRASTRUCTURE"
],
"description": "Type of the source entity associated with the control implementation"
},
"entityBusinessKey": {
"type": "string",
"description": "Business key for the control implementation entity"
}
},
"required": [
"controlImplementationId",
"controlImplementationName"
]
},
"description": "Populated when Control Implementations are selected as Primary for Assessment"
},
"creationSource": {
"type": "string",
"description": "Source of assessment creation",
"enum": [
"RULE_ENGINE_ASSESSMENT_SOURCE",
"DEFAULT",
"COPY",
"REASSESS",
"BULK_IMPORT",
"INVENTORY_STAGE_RULES"
]
},
"deadline": {
"type": "string",
"description": "Deadline to complete the assessment (format: YYYY-MM-DDTHH:MM:SS.FFFZ)"
},
"defaultTemplateDeadlineReminder": {
"type": "boolean",
"description": "Default Template Deadline Reminder"
},
"description": {
"type": "string",
"description": "Description of the assessment"
},
"duplicateNotAllowed": {
"type": "boolean",
"description": "Duplicate Not Allowed"
},
"engagementLink": {
"type": "object",
"description": "Engagement Link",
"properties": {
"engagementId": {
"type": "string",
"description": "Engagement identifier for which the assessment is created"
},
"engagementName": {
"type": "string",
"description": "Name of the engagement linked to the assessment"
},
"number": {
"type": "integer",
"description": "Sequential number assigned to the engagement"
}
},
"required": [
"engagementId",
"engagementName"
]
},
"entityLabels": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Display name of the label"
},
"nameKey": {
"type": "string",
"description": "Internationalization key for the label name"
},
"referenceEntity": {
"type": "string",
"enum": [
"DATA_CATEGORY",
"PROCESSING_PURPOSE",
"LEGAL_BASIS",
"DATA_SUBJECT",
"RETENTION_PERIOD",
"TRANSFER_METHOD",
"SECURITY_MEASURE"
],
"description": "Type of the reference entity this label is associated with"
},
"valueRefId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier of the referenced entity value. Null for custom labels."
},
"valueKey": {
"type": "string",
"description": "Internationalization key for the referenced entity value"
}
},
"required": [
"name"
]
},
"description": "List of entity attribute labels for the assessment"
},
"incidentDetails": {
"type": "object",
"description": "Incident Details",
"properties": {
"incidentId": {
"type": "string",
"description": "Unique identifier for the incident associated with the assessment"
},
"incidentName": {
"type": "string",
"description": "Name of the incident associated with the assessment"
}
},
"required": [
"incidentId",
"incidentName"
]
},
"inventoryDetails": {
"type": "object",
"description": "Inventory Details",
"properties": {
"inventoryId": {
"type": "string",
"description": "Inventory ID for which the assessment is created"
},
"inventoryTypeId": {
"type": "integer",
"description": "Type of the inventory for which the assessment is created"
},
"inventoryTypeName": {
"type": "string",
"description": "type name of the inventory for which the assessment is created."
},
"inventoryNumber": {
"type": "integer",
"description": "External number of the inventory for which the assessment is created"
},
"inventoryName": {
"type": "string",
"description": "Name of the inventory for which the assessment is created"
}
},
"required": [
"inventoryId",
"inventoryName",
"inventoryNumber",
"inventoryTypeId"
]
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of labels to attach to the assessment"
},
"name": {
"type": "string",
"description": "Name of the assessment"
},
"orgGroupId": {
"type": "string",
"description": "Organization group identifier to which the assessment should belong"
},
"orgGroupName": {
"type": "string",
"description": "Organization group name to which the assessment should belong"
},
"primaryEntityDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "ID of the assessable entity"
},
"name": {
"type": "string",
"description": "Name of the assessable entity"
},
"number": {
"type": "integer",
"format": "int64",
"description": "Number of the assessable entity"
},
"relationshipResponseDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"relationshipNodeType": {
"type": "string",
"description": "Type of the relationship node"
},
"entityId": {
"type": "string",
"description": "Unique identifier of the related entity"
},
"entityDisplayName": {
"type": "string",
"description": "Display name of the related entity"
},
"entityType": {
"type": "object"
}
}
},
"description": "Relationship Response Details"
},
"displayName": {
"type": "string",
"description": "Display name of the entity"
},
"entityBusinessKey": {
"type": "string",
"description": "Business Key of the entity"
}
}
},
"description": "Populated when Business Object needs to be selected as Primary for Assessment (except Inventory, Incident, Control Implementations and Engagements)"
},
"primaryRecordTypeReference": {
"type": "string",
"description": "Type of primary record when primaryEntityDetails are populated"
},
"reminder": {
"type": "integer",
"description": "Number of days before the deadline when the reminder should be sent to the respondent"
},
"reminderSchedules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the reminder schedule."
},
"assessmentId": {
"type": "string",
"format": "uuid",
"description": "Identifier of the assessment this reminder schedule applies to."
},
"sectionId": {
"type": "string",
"format": "uuid",
"description": "Identifier of a specific assessment section this reminder schedule targets (optional)."
},
"reminderInterval": {
"type": "integer",
"format": "int32",
"description": "Interval in days between consecutive reminders."
},
"reminderReceiverEntityType": {
"type": "string",
"enum": [
"APPROVER",
"RESPONDENT",
"ALL"
],
"description": "Recipient type who will receive the reminder notifications."
}
},
"required": [
"reminderReceiverEntityType"
]
},
"description": "Reminder Schedules"
},
"respondentCreationType": {
"type": "string",
"description": "Type of user creation for respondents",
"enum": [
"INVITED",
"PROJECT_RESPONDENT"
]
},
"respondents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"respondentId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the respondent user"
},
"respondentName": {
"type": "string",
"description": "Display name of the respondent"
},
"comment": {
"type": "string",
"description": "Optional comment for the respondent assignment"
},
"sectionIds": {
"type": "array",
"description": "Section Ids"
},
"isRespondentOfApproverSection": {
"type": "boolean",
"description": "Flag indicating whether this respondent is assigned to approver sections"
}
},
"required": [
"respondentName"
]
},
"description": "List of respondents. A minimum of one respondent must be assigned to the assessment"
},
"ruleId": {
"type": "string",
"description": "Identifier of the rule that triggered this assessment creation"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tag identifiers to attach to the assessment during creation"
},
"templateId": {
"type": "string",
"description": "Template identifier for which the assessment has to be created (mandatory if templateRootVersionId is not provided)"
},
"templateRootVersionId": {
"type": "string",
"description": "Template root version identifier for which the assessment has to be created"
},
"triggeredByAssessmentId": {
"type": "string",
"description": "Identifier of the assessment that triggered this assessment creation"
},
"triggeredByAssessmentName": {
"type": "string",
"description": "Name of the assessment that triggered this assessment creation"
},
"userAssignmentMode": {
"type": "string",
"description": "Mode of user assignment for the assessment",
"enum": [
"ASSESSMENT",
"SECTION"
]
},
"workflowId": {
"type": "string",
"description": "Workflow identifier for which the assessment is associated with"
}
},
"required": [
"PCID",
"name",
"respondents"
]
}
onetrust_assessments_create_bulk_assessment_using_post
Launch Assessments in Bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | List of assessment creation details including template, respondents, and metadata |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"workflowId": {
"type": "string",
"format": "uuid",
"description": "Workflow identifier for which the assessment is associated with"
},
"name": {
"type": "string",
"description": "Name of the assessment"
},
"description": {
"type": "string",
"description": "Description of the assessment"
},
"orgGroupId": {
"type": "string",
"format": "uuid",
"description": "Organization group identifier to which the assessment should belong"
},
"orgGroupName": {
"type": "string",
"description": "Organization group name to which the assessment should belong"
},
"approverId": {
"type": "string",
"format": "uuid",
"description": "Approver identifier of the assessment (deprecated, use approvers list instead)"
},
"approverName": {
"type": "string",
"description": "Approver name of the assessment (deprecated, use approvers list instead)"
},
"approvers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"approverId": {
"type": "string",
"description": "Unique identifier for the approver"
},
"approverName": {
"type": "string",
"description": "Display name of the approver"
},
"comment": {
"type": "string",
"description": "Optional comment for the approver assignment"
},
"workflowStageIds": {
"type": "array"
}
}
},
"description": "List of approvers for the assessment"
},
"templateId": {
"type": "string",
"format": "uuid",
"description": "Template identifier for which the assessment has to be created (mandatory if templateRootVersionId is not provided)"
},
"templateRootVersionId": {
"type": "string",
"format": "uuid",
"description": "Template root version identifier for which the assessment has to be created"
},
"deadline": {
"type": "string",
"format": "date-time",
"description": "Deadline to complete the assessment (format: YYYY-MM-DDTHH:MM:SS.FFFZ)"
},
"reminder": {
"type": "integer",
"format": "int64",
"description": "Number of days before the deadline when the reminder should be sent to the respondent"
},
"reminderSchedules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier for the reminder schedule."
},
"assessmentId": {
"type": "string",
"description": "Identifier of the assessment this reminder schedule applies to."
},
"sectionId": {
"type": "string",
"description": "Identifier of a specific assessment section this reminder schedule targets (optional)."
},
"reminderInterval": {
"type": "integer",
"description": "Interval in days between consecutive reminders."
},
"reminderReceiverEntityType": {
"type": "string",
"description": "Recipient type who will receive the reminder notifications."
}
}
},
"description": "Reminder Schedules"
},
"respondents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"respondentId": {
"type": "string",
"description": "Unique identifier for the respondent user"
},
"respondentName": {
"type": "string",
"description": "Display name of the respondent"
},
"comment": {
"type": "string",
"description": "Optional comment for the respondent assignment"
},
"sectionIds": {
"type": "array"
},
"isRespondentOfApproverSection": {
"type": "boolean",
"description": "Flag indicating whether this respondent is assigned to approver sections"
}
}
},
"description": "List of respondents. A minimum of one respondent must be assigned to the assessment"
},
"approverOnlySectionRespondents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"respondentId": {
"type": "string",
"description": "Id of the respondent for approver only sections"
},
"respondentName": {
"type": "string",
"description": "Name of the respondent for approver only sections"
}
}
},
"description": "List of respondents for approver-only sections"
},
"respondentCreationType": {
"type": "string",
"enum": [
"INVITED",
"PROJECT_RESPONDENT"
],
"description": "Type of user creation for respondents"
},
"inventoryDetails": {
"type": "object",
"description": "Inventory Details"
},
"incidentDetails": {
"type": "object",
"description": "Incident Details"
},
"controlImplementationDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"controlImplementationId": {
"type": "string",
"description": "Unique identifier for the control implementation"
},
"controlImplementationName": {
"type": "string",
"description": "Name of the control implementation"
},
"controlImplementationNumber": {
"type": "integer",
"description": "External number of the control implementation"
},
"sourceId": {
"type": "string",
"description": "Unique identifier for the source entity associated with the control implementation"
},
"sourceName": {
"type": "string",
"description": "Name of the source entity associated with the control implementation"
},
"sourceType": {
"type": "string",
"description": "Type of the source entity associated with the control implementation"
},
"entityBusinessKey": {
"type": "string",
"description": "Business key for the control implementation entity"
}
}
},
"description": "Populated when Control Implementations are selected as Primary for Assessment"
},
"primaryEntityDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "ID of the assessable entity"
},
"name": {
"type": "string",
"description": "Name of the assessable entity"
},
"number": {
"type": "integer",
"description": "Number of the assessable entity"
},
"relationshipResponseDetails": {
"type": "array"
},
"displayName": {
"type": "string",
"description": "Display name of the entity"
},
"entityBusinessKey": {
"type": "string",
"description": "Business Key of the entity"
}
}
},
"description": "Populated when Business Object needs to be selected as Primary for Assessment (except Inventory, Incident, Control Implementations and Engagements)"
},
"primaryRecordTypeReference": {
"type": "string",
"description": "Type of primary record when primaryEntityDetails are populated"
},
"engagementLink": {
"type": "object",
"description": "Engagement Link"
},
"ruleId": {
"type": "string",
"format": "uuid",
"description": "Identifier of the rule that triggered this assessment creation"
},
"triggeredByAssessmentId": {
"type": "string",
"format": "uuid",
"description": "Identifier of the assessment that triggered this assessment creation"
},
"triggeredByAssessmentName": {
"type": "string",
"description": "Name of the assessment that triggered this assessment creation"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tag identifiers to attach to the assessment during creation"
},
"userAssignmentMode": {
"type": "string",
"enum": [
"ASSESSMENT",
"SECTION"
],
"description": "Mode of user assignment for the assessment"
},
"creationSource": {
"type": "string",
"enum": [
"RULE_ENGINE_ASSESSMENT_SOURCE",
"DEFAULT",
"COPY",
"REASSESS",
"BULK_IMPORT",
"INVENTORY_STAGE_RULES"
],
"description": "Source of assessment creation"
},
"checkForInFlightAssessments": {
"type": "boolean",
"description": "Whether to check if any in-flight (status < COMPLETED) assessments exist with the same templateRootVersionId"
},
"defaultTemplateDeadlineReminder": {
"type": "boolean",
"description": "Default Template Deadline Reminder"
},
"labels": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of labels to attach to the assessment"
},
"entityLabels": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Display name of the label"
},
"nameKey": {
"type": "string",
"description": "Internationalization key for the label name"
},
"referenceEntity": {
"type": "string",
"description": "Type of the reference entity this label is associated with"
},
"valueRefId": {
"type": "string",
"description": "Unique identifier of the referenced entity value. Null for custom labels."
},
"valueKey": {
"type": "string",
"description": "Internationalization key for the referenced entity value"
}
}
},
"description": "List of entity attribute labels for the assessment"
},
"duplicateNotAllowed": {
"type": "boolean",
"description": "Duplicate Not Allowed"
},
"attachmentRequests": {
"type": "array",
"items": {
"type": "object",
"properties": {
"attachmentId": {
"type": "string",
"description": "Unique identifier for the attachment"
},
"fileName": {
"type": "string",
"description": "Name of the file being attached to the assessment"
},
"fileDescription": {
"type": "string",
"description": "Optional description of the attached file and its relevance to the assessment"
}
}
},
"description": "List of assessment attachment request"
}
},
"required": [
"name",
"respondents"
]
},
"description": "List of assessment creation details including template, respondents, and metadata"
}
},
"required": [
"PCID",
"body"
]
}
onetrust_assessments_create_task_using_post
Create Assessment Task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | The unique ID of the assessment in which to create the task. |
assigneeId | string | No | — | The UUID of the user assigned to the task |
collaborators | object[] | No | — | The collaborators value |
deadline | string | No | — | The date by which the task must be completed |
description | string | No | — | Description of the task |
taskName | string | Yes | — | Name of the task |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "The unique ID of the assessment in which to create the task."
},
"assigneeId": {
"type": "string",
"description": "The UUID of the user assigned to the task"
},
"collaborators": {
"type": "array",
"items": {
"type": "object",
"properties": {
"collaboratorId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier of the collaborator"
},
"collaboratorEmail": {
"type": "string",
"description": "Email address of the collaborator"
},
"type": {
"type": "string",
"enum": [
"USER",
"GROUP"
],
"description": "Type of assignee (User or Group)"
}
},
"required": [
"type"
]
},
"description": "The collaborators value"
},
"deadline": {
"type": "string",
"description": "The date by which the task must be completed"
},
"description": {
"type": "string",
"description": "Description of the task"
},
"taskName": {
"type": "string",
"description": "Name of the task"
}
},
"required": [
"PCID",
"assessmentId",
"taskName"
]
}
onetrust_assessments_delete_template_versions_using_delete
Delete Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
rootVersionId | string | Yes | — | The root version identifier of the template to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"rootVersionId": {
"type": "string",
"description": "The root version identifier of the template to be deleted."
}
},
"required": [
"PCID",
"rootVersionId"
]
}
onetrust_assessments_export_assessment_using_get
Get Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to export |
excludeSkippedQuestions | boolean | No | — | Flag to exclude skipped questions from the export |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to export"
},
"excludeSkippedQuestions": {
"type": "boolean",
"description": "Flag to exclude skipped questions from the export"
}
},
"required": [
"PCID",
"assessmentId"
]
}
onetrust_assessments_export_template_with_business_keys_using_get
Export Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
templateId | string | Yes | — | The unique identifier of the template to export. |
templateVersion | string | No | — | The specific version of the template to export or ‘latest’ for newest version. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"templateId": {
"type": "string",
"description": "The unique identifier of the template to export."
},
"templateVersion": {
"type": "string",
"description": "The specific version of the template to export or 'latest' for newest version."
}
},
"required": [
"PCID",
"templateId"
]
}
onetrust_assessments_get_all_assessment_basic_details_using_get
Get List of Assessments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
templateTypes | string[] | No | — | List of template types to filter assessments by. Available options: - PIA (PIA & DPIA Automation) - VENDOR (Third-Party Risk Management) - ITRM (IT & Security Risk Management) - CONTROL (Risk and Controls) - INCIDENT (Incident Management) - EXCHANGE (Third-Party Risk Exchange) - ESG (ESG Program Reporting) - DISCLOSURE (Disclosure Management) - DISCLOSURE_YOY (Year Over Year Disclosures) - ERM (Enterprise Risk Management) - TPDD (Third-Party Due Diligence) - AIGOVERNANCE (AI Governance) |
assessmentStatuses | string[] | No | — | List of assessment statuses to filter by |
assessmentArchivalState | string | No | — | Filter by archival state |
page | integer | No | — | Results page to be retrieved (0..N). Example- ‘?page=1 |
size | integer | No | — | Number of records per page (1…N). |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"templateTypes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"PIA",
"VENDOR",
"ITRM",
"CONTROL",
"INCIDENT",
"EXCHANGE",
"ESG",
"DISCLOSURE",
"DISCLOSURE_YOY",
"ERM",
"TPDD",
"AIGOVERNANCE"
]
},
"description": "List of template types to filter assessments by. Available options: - **PIA** (PIA & DPIA Automation) - **VENDOR** (Third-Party Risk Management) - **ITRM** (IT & Security Risk Management) - **CONTROL** (Risk and Controls) - **INCIDENT** (Incident Management) - **EXCHANGE** (Third-Party Risk Exchange) - **ESG** (ESG Program Reporting) - **DISCLOSURE** (Disclosure Management) - **DISCLOSURE_YOY** (Year Over Year Disclosures) - **ERM** (Enterprise Risk Management) - **TPDD** (Third-Party Due Diligence) - **AIGOVERNANCE** (AI Governance)"
},
"assessmentStatuses": {
"type": "array",
"items": {
"type": "string",
"enum": [
"NOT_STARTED",
"IN_PROGRESS",
"UNDER_REVIEW",
"COMPLETED"
]
},
"description": "List of assessment statuses to filter by"
},
"assessmentArchivalState": {
"type": "string",
"description": "Filter by archival state",
"enum": [
"ALL",
"ARCHIVED",
"NON_ARCHIVED"
]
},
"page": {
"type": "integer",
"description": "Results page to be retrieved (0..N). Example- '?page=1"
},
"size": {
"type": "integer",
"description": "Number of records per page (1…N)."
},
"sort": {
"type": "string",
"description": "Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.",
"enum": [
"number,asc",
"number,desc",
"status,asc",
"status,desc",
"createdDate,asc",
"createdDate,desc",
"name,asc",
"name,desc",
"result,asc",
"result,desc",
"orgGroupName,asc",
"orgGroupName,desc",
"deadline,asc",
"deadline,desc",
"openRiskCount,asc",
"openRiskCount,desc",
"openInfoRequestCount,asc",
"openInfoRequestCount,desc"
]
}
},
"required": [
"PCID"
]
}
onetrust_assessments_get_all_basic_template_details_using_get
Get List of Templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
template-types | string[] | No | — | The array of template types to filter by when retrieving published templates. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"template-types": {
"type": "array",
"items": {
"type": "string",
"enum": [
"CONTROL",
"DISCLOSURE",
"ESG",
"EXCHANGE",
"INCIDENT",
"ITRM",
"PIA",
"VENDOR"
]
},
"description": "The array of template types to filter by when retrieving published templates."
}
},
"required": [
"PCID"
]
}
onetrust_assessments_get_assessment_delete_logs_using_get
Export Deleted Assessment Audit LogShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
onetrust_assessments_get_assessment_results_using_get
Get List of Assessment Results Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
filterValue | string | No | — | Filter to apply when retrieving assessment results. Use ACTIVE_EXCLUDING_INTERNAL to exclude internal results. |
templateTypes | string[] | No | — | List of template types to filter assessment results by. Available options: - PIA (PIA & DPIA Automation) - VENDOR (Third-Party Risk Management) - ITRM (IT & Security Risk Management) - CONTROL (Risk and Controls) - INCIDENT (Incident Management) - EXCHANGE (Third-Party Risk Exchange) - ESG (ESG Program Reporting) - ERM (Enterprise Risk Management) - TPDD (Third-Party Due Diligence) - AIGOVERNANCE (AI Governance) |
includeMasterResults | boolean | No | — | Flag to include master results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"filterValue": {
"type": "string",
"description": "Filter to apply when retrieving assessment results. Use ACTIVE_EXCLUDING_INTERNAL to exclude internal results.",
"enum": [
"ACTIVE_EXCLUDING_INTERNAL"
]
},
"templateTypes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"PIA",
"VENDOR",
"ITRM",
"CONTROL",
"INCIDENT",
"EXCHANGE",
"ESG",
"DISCLOSURE",
"DISCLOSURE_YOY",
"ERM",
"TPDD",
"AIGOVERNANCE"
]
},
"description": "List of template types to filter assessment results by. Available options: - **PIA** (PIA & DPIA Automation) - **VENDOR** (Third-Party Risk Management) - **ITRM** (IT & Security Risk Management) - **CONTROL** (Risk and Controls) - **INCIDENT** (Incident Management) - **EXCHANGE** (Third-Party Risk Exchange) - **ESG** (ESG Program Reporting) - **ERM** (Enterprise Risk Management) - **TPDD** (Third-Party Due Diligence) - **AIGOVERNANCE** (AI Governance)"
},
"includeMasterResults": {
"type": "boolean",
"description": "Flag to include master results"
}
},
"required": [
"PCID"
]
}
onetrust_assessments_get_linked_assessments_information_using_get
Get List of Linked Assessments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | UUID of the reference object |
referenceType | string | Yes | — | Type of reference object |
linkTypes | string[] | No | — | Types of links to filter by |
page | integer | No | — | Results page to be retrieved (0..N) |
size | integer | No | — | Number of records per page (1…N) |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "UUID of the reference object"
},
"referenceType": {
"type": "string",
"description": "Type of reference object",
"enum": [
"INVENTORY",
"CONTROL_IMPLEMENTATION",
"ENGAGEMENT",
"INCIDENT",
"CUSTOM_ENTITY",
"DYNAMIC"
]
},
"linkTypes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"PRIMARY",
"AUTO",
"MANUAL"
]
},
"description": "Types of links to filter by"
},
"page": {
"type": "integer",
"description": "Results page to be retrieved (0..N)"
},
"size": {
"type": "integer",
"description": "Number of records per page (1…N)"
},
"sort": {
"type": "string",
"description": "Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.",
"enum": [
"number,asc",
"number,desc",
"status,asc",
"status,desc",
"createdDate,asc",
"createdDate,desc",
"name,asc",
"name,desc",
"result,asc",
"result,desc",
"orgGroupName,asc",
"orgGroupName,desc",
"deadline,asc",
"deadline,desc",
"openRiskCount,asc",
"openRiskCount,desc",
"openInfoRequestCount,asc",
"openInfoRequestCount,desc"
]
}
},
"required": [
"PCID",
"id",
"referenceType"
]
}
onetrust_assessments_get_tags_using_get
Get List of Assessment TagsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
onetrust_assessments_get_using_post
Get List of Assessments by Criteria Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
templateTypes | string[] | No | — | List of template types to filter assessments by. Available options: - PIA (PIA & DPIA Automation) - VENDOR (Third-Party Risk Management) - ITRM (IT & Security Risk Management) - CONTROL (Risk and Controls) - INCIDENT (Incident Management) - EXCHANGE (Third-Party Risk Exchange) - ESG (ESG Program Reporting) - DISCLOSURE (Disclosure Management) - DISCLOSURE_YOY (Year Over Year Disclosures) - ERM (Enterprise Risk Management) - TPDD (Third-Party Due Diligence) - AIGOVERNANCE (AI Governance) |
assessmentStatuses | string[] | No | — | List of assessment statuses to filter assessments by |
assessmentArchivalState | string | No | — | Filter assessments by their archival state. Use ALL to include both archived and non-archived assessments, ARCHIVED to include only archived assessments, or NON_ARCHIVED to include only non-archived assessments. |
page | integer | No | — | Results page to be retrieved (0..N). Example- ‘?page=1 |
size | integer | No | — | Number of records per page (1…N). |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
adminOnlyView | boolean | No | — | Loads admin view |
assessmentListViewType | string | Yes | — | Load assessments for corresponding view types |
filterCriteria | object[] | No | — | List of reminder schedules to trigger notifications to configured users (respondents or approvers) |
visibleColumns | string[] | Yes | — | Visible Columns |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"templateTypes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"PIA",
"VENDOR",
"ITRM",
"CONTROL",
"INCIDENT",
"EXCHANGE",
"ESG",
"DISCLOSURE",
"DISCLOSURE_YOY",
"ERM",
"TPDD",
"AIGOVERNANCE"
]
},
"description": "List of template types to filter assessments by. Available options: - **PIA** (PIA & DPIA Automation) - **VENDOR** (Third-Party Risk Management) - **ITRM** (IT & Security Risk Management) - **CONTROL** (Risk and Controls) - **INCIDENT** (Incident Management) - **EXCHANGE** (Third-Party Risk Exchange) - **ESG** (ESG Program Reporting) - **DISCLOSURE** (Disclosure Management) - **DISCLOSURE_YOY** (Year Over Year Disclosures) - **ERM** (Enterprise Risk Management) - **TPDD** (Third-Party Due Diligence) - **AIGOVERNANCE** (AI Governance)"
},
"assessmentStatuses": {
"type": "array",
"items": {
"type": "string",
"enum": [
"NOT_STARTED",
"IN_PROGRESS",
"UNDER_REVIEW",
"COMPLETED"
]
},
"description": "List of assessment statuses to filter assessments by"
},
"assessmentArchivalState": {
"type": "string",
"description": "Filter assessments by their archival state. Use ALL to include both archived and non-archived assessments, ARCHIVED to include only archived assessments, or NON_ARCHIVED to include only non-archived assessments.",
"enum": [
"ALL",
"ARCHIVED",
"NON_ARCHIVED"
]
},
"page": {
"type": "integer",
"description": "Results page to be retrieved (0..N). Example- '?page=1"
},
"size": {
"type": "integer",
"description": "Number of records per page (1…N)."
},
"sort": {
"type": "string",
"description": "Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.",
"enum": [
"number,asc",
"number,desc",
"status,asc",
"status,desc",
"createdDate,asc",
"createdDate,desc",
"name,asc",
"name,desc",
"result,asc",
"result,desc",
"orgGroupName,asc",
"orgGroupName,desc",
"deadline,asc",
"deadline,desc",
"openRiskCount,asc",
"openRiskCount,desc",
"openInfoRequestCount,asc",
"openInfoRequestCount,desc"
]
},
"adminOnlyView": {
"type": "boolean",
"description": "Loads admin view"
},
"assessmentListViewType": {
"type": "string",
"description": "Load assessments for corresponding view types",
"enum": [
"VENDOR_VIEW",
"CONTROL_VIEW",
"ASSESSMENT_AUTOMATION_LIST_VIEW",
"DATA_MAPPING_LIST_VIEW",
"ITRM_LIST_VIEW",
"INCIDENT_LIST_VIEW",
"ESG_LIST_VIEW",
"ENGAGEMENT_LIST_VIEW",
"EXCHANGE_LIST_VIEW",
"DISCLOSURE_LIST_VIEW",
"EMPLOYEE_DISCLOSURE_LIST_VIEW",
"TPDD_LIST_VIEW",
"GENERAL_LIST"
]
},
"filterCriteria": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "The field name to apply the search criterion to"
},
"operation": {
"type": "string",
"description": "The operation to apply (eq, ne, gt, lt, in, between, etc.)"
},
"value": {
"type": "object",
"description": "The value to compare against. Can be a single value or a list of values depending on the operation"
},
"toValue": {
"type": "object",
"description": "The upper bound value for 'between' operations"
}
}
},
"description": "List of reminder schedules to trigger notifications to configured users (respondents or approvers)"
},
"visibleColumns": {
"type": "array",
"items": {
"type": "string"
},
"description": "Visible Columns"
}
},
"required": [
"PCID",
"assessmentListViewType",
"visibleColumns"
]
}
onetrust_assessments_get_workflow_details_for_assessment_using_get
Get Assessment Workflow Stages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | The unique ID of the assessment to retrieve workflow details for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "The unique ID of the assessment to retrieve workflow details for"
}
},
"required": [
"PCID",
"assessmentId"
]
}
onetrust_assessments_import_template_by_id_using_post
Import Template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
matchAttributesByName | boolean | Yes | — | The flag indicating whether to match attributes by name during template import. |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"matchAttributesByName": {
"type": "boolean",
"description": "The flag indicating whether to match attributes by name during template import."
},
"body": {
"type": "object",
"description": "Request body"
}
},
"required": [
"PCID",
"matchAttributesByName",
"body"
]
}
onetrust_assessments_reassess_assessment_using_post
Reassess Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier of the assessment to be reassessed |
archiveSourceAssessment | boolean | No | — | Use this field to provide a “true” or a “false” value to archive the original assessment. When reassessing, setting it to “true” will archive the original assessment and setting it to “false” will not archive the original assessment |
assessmentMetadata | object | No | — | Assessment Metadata |
copyAssessmentMetadata | boolean | No | — | This field will copy assessment name, description, organisation, approver, respondent details from source assessment to new assessment. |
copyAttachments | boolean | No | — | This field will copy over the attachments linked to the source assessment. |
copyComments | boolean | No | — | This field will copy over the comments from the source assessment. |
copyNotes | boolean | No | — | This field will copy over the user notes from the source assessment. |
copyResponses | boolean | No | — | This field will copy over the question responses from the source assessment. |
deadline | string | No | — | Deadline (date) to complete the assessment |
linkRisks | boolean | No | — | Any risk rules created based on the template risk rules for the original assessment will be linked to the newly created assessment upon submission. |
reminder | integer | No | — | Use this field to input the number of days before the deadline to send a automatic notification to the respondent. Deadline must be set for this field to be enabled. |
reminderSchedules | object[] | No | — | Reminder Schedules |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier of the assessment to be reassessed"
},
"archiveSourceAssessment": {
"type": "boolean",
"description": "Use this field to provide a \"true\" or a \"false\" value to archive the original assessment. When reassessing, setting it to \"true\" will archive the original assessment and setting it to \"false\" will not archive the original assessment"
},
"assessmentMetadata": {
"type": "object",
"description": "Assessment Metadata",
"properties": {
"name": {
"type": "string",
"description": "Name of the assessment"
},
"description": {
"type": "string",
"description": "Description about the assessment"
},
"orgGroupId": {
"type": "string",
"description": "Organization Group ID to which the assessment belongs to"
},
"approvers": {
"type": "array",
"items": {
"type": "object"
},
"description": "The approvers value"
},
"respondents": {
"type": "array",
"items": {
"type": "object"
},
"description": "The respondents value"
},
"respondentCreationType": {
"type": "string",
"description": "Use this field to select if new respondents are created as Invited Users or Project Respondents when calling the Public Reassess API. The 'Allow Creating Project Respondents from Assessment' global setting should be enabled for new users to be set as Project Respondents.",
"enum": [
"INVITED",
"PROJECT_RESPONDENT"
]
}
}
},
"copyAssessmentMetadata": {
"type": "boolean",
"description": "This field will copy assessment name, description, organisation, approver, respondent details from source assessment to new assessment."
},
"copyAttachments": {
"type": "boolean",
"description": "This field will copy over the attachments linked to the source assessment."
},
"copyComments": {
"type": "boolean",
"description": "This field will copy over the comments from the source assessment."
},
"copyNotes": {
"type": "boolean",
"description": "This field will copy over the user notes from the source assessment."
},
"copyResponses": {
"type": "boolean",
"description": "This field will copy over the question responses from the source assessment."
},
"deadline": {
"type": "string",
"description": "Deadline (date) to complete the assessment"
},
"linkRisks": {
"type": "boolean",
"description": "Any risk rules created based on the template risk rules for the original assessment will be linked to the newly created assessment upon submission."
},
"reminder": {
"type": "integer",
"description": "Use this field to input the number of days before the deadline to send a automatic notification to the respondent. Deadline must be set for this field to be enabled."
},
"reminderSchedules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the reminder schedule."
},
"assessmentId": {
"type": "string",
"format": "uuid",
"description": "Identifier of the assessment this reminder schedule applies to."
},
"sectionId": {
"type": "string",
"format": "uuid",
"description": "Identifier of a specific assessment section this reminder schedule targets (optional)."
},
"reminderInterval": {
"type": "integer",
"format": "int32",
"description": "Interval in days between consecutive reminders."
},
"reminderReceiverEntityType": {
"type": "string",
"enum": [
"APPROVER",
"RESPONDENT",
"ALL"
],
"description": "Recipient type who will receive the reminder notifications."
}
},
"required": [
"reminderReceiverEntityType"
]
},
"description": "Reminder Schedules"
}
},
"required": [
"PCID",
"id"
]
}
onetrust_assessments_reassign_assessment_using_put
Reassign Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to reassign |
approvers | object[] | No | — | The user(s) that will override the current approvers if any are added |
orgGroupId | string | No | — | The ID of the organization that the assessment should be reassigned to |
respondentCreationType | string | No | — | If adding new users that don’t already exist, this is the type of user they will be created as |
respondents | object[] | No | — | The user(s) that will override the current respondents if any are added |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to reassign"
},
"approvers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"approverId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the approver"
},
"approverName": {
"type": "string",
"description": "Display name of the approver"
},
"comment": {
"type": "string",
"description": "Optional comment for the approver assignment"
},
"workflowStageIds": {
"type": "array",
"description": "Workflow Stage Ids"
}
},
"required": [
"approverId"
]
},
"description": "The user(s) that will override the current approvers if any are added"
},
"orgGroupId": {
"type": "string",
"description": "The ID of the organization that the assessment should be reassigned to"
},
"respondentCreationType": {
"type": "string",
"description": "If adding new users that don't already exist, this is the type of user they will be created as",
"enum": [
"INVITED",
"PROJECT_RESPONDENT"
]
},
"respondents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"respondentId": {
"type": "string",
"format": "uuid",
"description": "Unique identifier for the respondent user"
},
"respondentName": {
"type": "string",
"description": "Display name of the respondent"
},
"comment": {
"type": "string",
"description": "Optional comment for the respondent assignment"
},
"sectionIds": {
"type": "array",
"description": "Section Ids"
},
"isRespondentOfApproverSection": {
"type": "boolean",
"description": "Flag indicating whether this respondent is assigned to approver sections"
}
},
"required": [
"respondentName"
]
},
"description": "The user(s) that will override the current respondents if any are added"
}
},
"required": [
"PCID",
"assessmentId"
]
}
onetrust_assessments_reopen_assessment_using_post
Reopen Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier of the assessment to reopen from Completed to Under Review stage |
emailComment | string | No | — | Comment to be put in notification email when the assessment is reopened |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier of the assessment to reopen from Completed to Under Review stage"
},
"emailComment": {
"type": "string",
"description": "Comment to be put in notification email when the assessment is reopened"
}
},
"required": [
"PCID",
"id"
]
}
onetrust_assessments_send_back_assessment_to_in_progress_using_post
Send Back Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Unique identifier of the assessment to send back to the In Progress stage |
editAllResponses | boolean | No | — | Use this field to all respondents to edit any question response when an assessment is sent back. |
emailComment | string | No | — | Comment to be put in notification email. |
reopenSectionIds | string[] | No | — | Reopen Section Ids |
resetApproverReviews | boolean | No | — | When an assessment is sent back, the approver’s vote is either retained or removed depending on the setting. |
sendBulkInfoRequestEmail | boolean | No | — | Use this field to send notifications at the same time to the users to get more information on several questions. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Unique identifier of the assessment to send back to the In Progress stage"
},
"editAllResponses": {
"type": "boolean",
"description": "Use this field to all respondents to edit any question response when an assessment is sent back."
},
"emailComment": {
"type": "string",
"description": "Comment to be put in notification email."
},
"reopenSectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Reopen Section Ids"
},
"resetApproverReviews": {
"type": "boolean",
"description": "When an assessment is sent back, the approver’s vote is either retained or removed depending on the setting."
},
"sendBulkInfoRequestEmail": {
"type": "boolean",
"description": "Use this field to send notifications at the same time to the users to get more information on several questions."
}
},
"required": [
"PCID",
"id"
]
}
onetrust_assessments_soft_delete_assessment_using_put
Move Assessment to Recycle Bin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to soft delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to soft delete"
}
},
"required": [
"PCID",
"assessmentId"
]
}
onetrust_assessments_unarchive_assessments_using_put
Unarchive Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
onetrust_assessments_update_basic_assessment_details_using_patch
Modify Assessment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to update |
deadline | string | No | — | The date by which the assessment must be completed |
description | string | No | — | Detailed description of the assessment’s purpose and scope |
name | string | No | — | The name of the assessment to be displayed in the UI |
reminder | integer | No | — | The number of days before the deadline when a reminder notification should be sent to respondents |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to update"
},
"deadline": {
"type": "string",
"description": "The date by which the assessment must be completed"
},
"description": {
"type": "string",
"description": "Detailed description of the assessment's purpose and scope"
},
"name": {
"type": "string",
"description": "The name of the assessment to be displayed in the UI"
},
"reminder": {
"type": "integer",
"description": "The number of days before the deadline when a reminder notification should be sent to respondents"
}
},
"required": [
"PCID",
"assessmentId"
]
}
onetrust_assessments_update_primary_record_using_put
Set Primary Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assessmentId | string | Yes | — | UUID of the assessment to update primary record for |
primaryRecordIds | string[] | Yes | — | The unique UUIDs of the primary records |
primaryRecordType | string | Yes | — | Type of Inventory record to be updated. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assessmentId": {
"type": "string",
"description": "UUID of the assessment to update primary record for"
},
"primaryRecordIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "The unique UUIDs of the primary records"
},
"primaryRecordType": {
"type": "string",
"description": "Type of Inventory record to be updated.",
"enum": [
"ASSETS",
"PROCESSING_ACTIVITY",
"VENDORS",
"ENTITIES",
"ASSESS_CONTROL",
"ENGAGEMENT"
]
}
},
"required": [
"PCID",
"assessmentId",
"primaryRecordIds",
"primaryRecordType"
]
}

